import utils
# from stores.mysql_store import MysqlStore
# from models.project_bp import SourceData

class DataCollect:

    def __init__(self):
        self._logger= utils.get_logger()

    def run(self, project_id: int):
        try:
            self._logger.info(f"开始采集数据：{project_id}")

            self._logger.info(f"采集数据完成：{project_id}")
            return True
        except Exception as e:
            self._logger.error(f"采集数据失败：{project_id}", {e})
            return False